Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598027 - SearchBar suggestions should preventDefault on up-arrow/down-arrow events
Summary: SearchBar suggestions should preventDefault on up-arrow/down-arrow events
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 3.0.0
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-31 09:38 UTC by Joseph Marques
Modified: 2010-08-12 16:50 UTC (History)
0 users

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:50:30 UTC


Attachments (Terms of Use)

Description Joseph Marques 2010-05-31 09:38:10 UTC
Description of problem:

When the SearchBar suggestions are visible, up-arrow and down-arrow events will reposition the cursor to the beginning and end of the textbox, respectively.

How reproducible:

every time

Steps to Reproduce:
1. Enter "type=" into the SearchBar
2. Press down-arrow
3. Press up-arrow
  
Actual results:

On some browsers (Chrome, perhaps others) using the up-arrow / down-arrow events will reposition the cursor because the default event is not prevented.

Expected results:

The cursor remains exactly where it is, regardless of up-arrow / down-arrow events while the suggestions are showing.

Additional info:


http://code.google.com/p/google-web-toolkit/issues/detail?id=3253

Comment 1 Joseph Marques 2010-05-31 09:42:08 UTC
commit e1424094013722e3b6563bfe00eaa62ce75d2904
Author: Joseph Marques <joseph@redhat.com>
Date:   Mon May 31 05:38:30 2010 -0400

BZ-598027: keep the cursor where it was for up/down arrow events when suggestions are showing

Comment 2 Sunil Kondkar 2010-06-04 09:51:22 UTC
Verified on 'jon-server-2.4.0.Beta0' build on Chrome and Firefox browsers.

The cursor does not move, remains where it is after pressing down-arrow and up-arrow buttons while suggestions are showing.

Comment 3 Corey Welton 2010-08-12 16:50:30 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.